PDA

View Full Version : Radio using SlimCenter 7.3.3?



simsboard
2009-10-08, 05:50
just received my radio a few minutes ago but had a very big surprise as I noticed that I have to upgrade my slimcenter from 7.3 to 7.4?!
I thought I just need to upgrade if I want to use the services from mysqueezebox.com?

slimcenter is running on my (in the meantime) old QNAP TS101 where version 7.4 does not seem to be suppored so far

any hints how I can force my radio to live with version 7.3.3?
thanks!
simsboard

mherger
2009-10-08, 06:00
> I noticed that I have to upgrade my slimcenter from 7.3 to 7.4?!

That's correct.

> I thought I just need to upgrade if I want to use the services from
> mysqueezebox.com?

You only need to upgrade if you want to use more than only those services. You can use online radio, Last.FM, Rhapsody, etc. without upgrading. But if you want to play your local music you'll have to upgrade.

aubuti
2009-10-08, 06:10
I'm surprised that 7.4 is not mentioned anywhere in the System Requirements for the SB Radio: http://www.logitechsqueezebox.com/products/squeezebox-radio.html#tab2
It seems to me that a natural place to put that info would be with the bullet that says "For access to local music: 256MB RAM and 100MB hard disk space"

toby10
2009-10-08, 07:29
Yeah, I assumed they were making the need for SBS7.4 known to buyers.
I have accidentally connected my Radio to SC7.3.3 a couple times, it will "function" but not very well.
Limited features (like local music as mentioned), screen issues, etc.. not an overall good experience. :)

RichieB
2009-10-10, 05:11
How did you manage to connect your Radio to SC 7.3.3 ? When I go to "My Music" and select my NAS from the libraries list, it says "qnap-nas needs to be updated to a newer version of the Squeezebox Server".

The weird thing is that when I go to "Settings" -> "Choose Player" and select my SB3, I can control the SB3 just fine (above UI issues apply), but there is no sound from the Radio. :-(

I upgraded SC to 7.3.4 but that didn't make any difference.

Dingsdada
2009-10-10, 05:24
Same problem here...
can't use my brand new radio - have 7.3.3 installed on my Synology DS209+

toby10
2009-10-10, 05:32
My SC7.3.3 is on a WinXP, that alone may be the difference, dunno.
I don't think SC can "grab" Radio via my SC UI, though I only tried once long ago.
I've connected by accident by switching Radio back from MySB but forgetting that SBS is not running so it goes to SC.
I've also accidentally chosen SC over SBS within "Switch Libraries" where Radio sees both SC and SBS.
But, again, I would not suggest running Radio on SC. It will be a very buggy and sporadic experience.

Doesn't SD/Logitech make known the need for SBS7.4 to operate the Radio when ordering or in marketing pages/docs?
If not, they are in for a serious high rate of CSR calls and returns. :(

bluegaspode
2009-10-10, 06:56
I tried if I could convince my radio to use a 7.3.3 server (which I can't upgrade for the same reasons -> no update yet for my arm-based linkstation).

The good news: it is possible (see below).
The bad news: I'm only able to play local music now (and in the 'now playing'-screen the artwork is shown too big). Not all radiostations play well (but some do).
If I reconnect to MySqueezeBox (when choosing 'Apps' I'm asked to switch to MySB) I get these radiostations playing.


So if want to try out yourself, go with the following instructions:
- active remote access on the radio (Settings->Advanced-Remote Login)
- connect with a program like WinSCP (search the wiki for it)
- edit the file '/usr/share/jive/applets/ChooseMusicSourceApplet.lua' (double click in WinSCP)
- around line 402 you will find a method 'selectServer' some lines below you will find the lines


if server:getVersion() and not server:isCompatible() then
--we only know if compatible if serverstatus has come back, other version will be nil, and we shouldn't assume not compatible
_serverVersionError(self, server)
return
end


You need to disable the two lines in the middle, so change them to look like the following (see red markup):


if server:getVersion() and not server:isCompatible() then
--we only know if compatible if serverstatus has come back, other version will be nil, and we shouldn't assume not compatible
--_serverVersionError(self, server)
--return
end


- save the file and restart radio
- when you now choose the server, you will be asked to update, just press the 'back'-key a bit longer to escape.

Of course I don't know what else might not be working.

bluegaspode
2009-10-10, 07:15
Have to correct myself: on my 7.3.3 server I didn't have the corrent MySB-username+password.
Now all radio stations turn up again, some radio stations are even playing.
Other radiostations just give 'filetype cannot be played' these work with a 7.4.0-server.

simsboard
2009-10-10, 08:46
unfortunatly on my configuration it did not work - removed the line using vi on the SBR, did a reboot and stopped the SBS7.4 on the desktop-PC

the SBR tried then first to connect to the SBS 7.4 then it gave the option to change to another server
I saw the SC 7.3.3 on my QNAP but unfortunatly it did not connect to it

after some time it even did not find the SC 7.3.3 any more :-( and each time I tried to search for another server the SBR started to make very strange things like: continue to play music even when I switched it off,...

so thanks for hint but it looks as if I will have to wait for another workaround!!
simsboard

Amauta
2009-10-10, 09:00
I want to confirm that this worked with my Radio connected to Qnap TS-119 server with SqueezeCenter 7.3.4 running. I can listen to the music but not everything is working.

bluegaspode
2009-10-10, 16:46
removed the line using vi on the SBR
You are writing in singular.
You should've removed at least two lines (or prefix them with '--') for it to work.

bluegaspode
2009-10-11, 04:56
Some results of my investigation of playing radiostations (I'm testing with radio-stations from World->Europe->Germany->Berlin):

RadioStreams with mp3-format play well on Radio connected to 7.3.3 server (Star FM, http://opml.radiotime.com/Tune.ashx?id=s8041&partnerId=16)
RadioStreams with Windows-Media format don't play on radio connected to 7.3.3 server (RBB Radio Eins, http://opml.radiotime.com/Tune.ashx?id=s25111&partnerId=16)

Radio can play both streams when connected directly to MySqueezebox.com .

I tried the same with my 7.3.3-Controller connected to 7.3.3 server.
When the Controller is selected as Player (thus Jive) I get the same behaviour (mp3-streams playing, Windows Media not).
When the receiver is selected as Player it can play both streams.


So I assume that a 7.4 server does something to the Windows Media Stream, that Jive (Radio or 7.4-Controller) can play them.
Maybe the receiver has some built-in decoder to play those streams even with a 7.3 server ?

Micheal, can you share some light on this ?

simsboard
2009-10-12, 00:31
thanks bluegaspode for your hints!
now it seems to run on my radio as well :-)
at least I was albe to connect to my Qnap TS101 running 7.3.3
didn't test too much so far but this was I think already the most important step :-)

regards!
simsboard

RichieB
2009-10-12, 03:12
This bug id (https://bugs.slimdevices.com/show_bug.cgi?id=14421) has an easier solution: just press the back button for 5 seconds when the Radio says the server is too old and needs to be upgraded. I didn't test this yet, but it is a lot easier if it works.

akleineidam
2009-10-16, 13:09
I run the squeezebox on a ReadyNAS where not 7.4 is available yet, the provided hack works for me, many thanx !!!!!